Page MenuHomePhabricator

[ARC] Add <.f> suffix for F32_GEN4_{DOP|SOP}
ClosedPublic

Authored by yan_luo on Apr 1 2018, 1:09 PM.

Details

Reviewers
petecoup
Summary

<.f>: writeback to status register flags

Diff Detail

Event Timeline

yan_luo created this revision.Apr 1 2018, 1:09 PM
yan_luo retitled this revision from Add <.f> suffix for F32_GEN4_{DOP|SOP} to [ARC] Add <.f> suffix for F32_GEN4_{DOP|SOP}.Apr 1 2018, 1:11 PM

Hi Yan,

Thanks for working on this!
Can you add some tests to the disassembler for variants that you added here?
Thanks!

yan_luo updated this revision to Diff 140887.Apr 3 2018, 5:54 PM

Pete, I updated the revision, please review it again, thanks!

petecoup accepted this revision.Apr 4 2018, 3:34 PM

Great, thanks!
Do you need me to commit this for you?

This revision is now accepted and ready to land.Apr 4 2018, 3:34 PM

Yes, Pete. Please land it for me. Thanks!

petecoup closed this revision.Apr 6 2018, 8:51 AM

Committed in r329404.
Thanks!